Page MenuHomePhabricator

Adding citation from "Basic Form" is not working with NWE, nothing gets added to the page after clicking on "Insert"
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open NWE
  2. Open the dialog for adding citation (Basic/Cite Web etc)
  3. Insert the citation

Observed Result:
Nothing gets added to the page.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
OpenNone
ResolvedEsanders

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2016, 12:45 AM
Stryn added a subscriber: Stryn.Dec 17 2016, 2:13 PM

This happens when adding citation from Basic Reference dialog. Cite Web/Automatic those are working fine now.

Ryasmeen renamed this task from Adding citation is not working with NWE, nothing gets added to the page after clicking on "Insert" to Adding citation from "Basic Form" is not working with NWE, nothing gets added to the page after clicking on "Insert".Jan 5 2017, 12:45 AM
Wargo added a subscriber: Wargo.Jan 17 2017, 2:37 PM
Jdforrester-WMF triaged this task as High priority.Feb 6 2017, 7:17 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 340684 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] MWWikitextSurfaceFragment#convertFromSource: Don't make an invalid doc

https://gerrit.wikimedia.org/r/340684

Change 340684 merged by Catrope:
[mediawiki/extensions/VisualEditor] MWWikitextSurfaceFragment#convertFromSource: Don't make an invalid doc

https://gerrit.wikimedia.org/r/340684

Ryasmeen closed this task as Resolved.Mar 2 2017, 10:15 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 2 2017, 10:15 PM
Ryasmeen moved this task from To be Verified to Verified on the User-Ryasmeen board.